Skip to content
iTick
  1. Docs
  2. REST API
  3. Indices
  4. Batch Real-Time Kline

Batch Real-Time Kline

Batch complete K-line data for major global stock indices, covering historical and real-time OHLC price series for core indices such as CSI 300, SSE Composite Index, Shenzhen Component Index, S&P 500, Nasdaq, and Hang Seng. Provides standardized timestamps, opening prices, highest prices, lowest prices, closing prices, and trading volume data, supporting multiple time periods from minute charts to monthly charts.

Real-Time Kline

GET/indices/klines

Request Parameters

regionenumRequired

Market code

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

kTypeenumRequired

Interval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month

limitstringRequired

Number of records to query

Response Parameters

codenumber

Response code

msgstring

Response description

dataarray(object)▶Response result
tunumber

Transaction amount

cnumber

Closing price of the Kline

tnumber

Timestamp

vnumber

Transaction volume

hnumber

Highest price of the Kline

lnumber

Lowest price of the Kline

onumber

Opening price of the Kline

Code Examples

import requests

url = "https://api.itick.org/indices/klines?region=GB&codes=SPX,DJI&kType=2&limit=5"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/indices/klines?region=GB&codes=SPX,DJI&kType=2&limit=5

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "DJI": [
      {
        "tu": 0,
        "c": 43006.58,
        "t": 1741209540000,  // 2025-03-05 21:19:00 UTC
        "v": 0,
        "h": 43006.6,
        "l": 43006.58,
        "o": 43006.6
      }
    ],
    "SPX": [
      {
        "tu": 385612920000,
        "c": 5842.62,
        "t": 1741208580000,  // 2025-03-05 21:03:00 UTC
        "v": 66000000,
        "h": 5842.62,
        "l": 5842.62,
        "o": 5842.62
      }
    ]
  }
}